<?php
// to check whether accessed directly
if (!defined('ABSPATH')) {
	exit;
}
require_once( WP_PLUGIN_DIR . '/woocommerce/includes/admin/settings/class-wc-settings-page.php' );
class Elex_Product_Price_Discount_Setting extends WC_Settings_Page{
    public function __construct() {
        $this->init();
        $this->id = 'elex_ppct_discount';
    }

    public function init() {
        add_filter('woocommerce_settings_tabs_array', array($this, 'elex_ppct_add_settings_tab'), 50 );
        add_filter('woocommerce_sections_elex_ppct_discount', array($this, 'output_sections'));
    }

    public function elex_ppct_add_settings_tab( $settings_tabs ) {
        $settings_tabs['elex_ppct_discount'] = __( 'Custom Text & Discount', 'elex-product-price-custom-text-and-discount' );
        return $settings_tabs;
    }
    public function get_sections() {
        $sections = array(
            '' => __('Custom Text & Discount', 'elex-product-price-custom-text-and-discount'),
             'to-go-premium' => __('<li><strong><font color="red">Go Premium!</font></strong></li>', 'elex-product-price-custom-text-and-discount')
        );
      return apply_filters('woocommerce_get_sections_elex_ppct_discount', $sections);
    }
    
    public function output_sections() {
        global $current_section;
        $sections = $this->get_sections();
        if ( empty( $sections ) || 1 === sizeof( $sections ) ) {
            return;
        }
        echo '<ul class="subsubsub">';
        $array_keys = array_keys( $sections );

        foreach ( $sections as $id => $label ) {
            echo '<li><a href="' . admin_url( 'admin.php?page=wc-settings&tab=' . $this->id . '&section=' . sanitize_title( $id ) ) . '" class="' . ( $current_section == $id ? 'current' : '' ) . '">' . $label . '</a> ' . ( end( $array_keys ) == $id ? '' : '|' ) . ' </li>';
        }
        echo '</ul><br class="clear" />';
    }
}

add_action( 'woocommerce_settings_tabs_elex_ppct_discount', 'elex_ppct_discount_price_settings_tab' );
function elex_ppct_discount_price_settings_tab() {
    woocommerce_admin_fields(elex_ppct_get_setting() );
}

function elex_ppct_get_setting() {
   global $current_section;
   $settings = array();
    if($current_section=='to-go-premium'){
      include_once("market.php");
    }
    else{
?> 
    <script type="text/javascript">
     jQuery(function($){
        if ($('#elex_ppct_check_field').is(":checked")) {
           jQuery('#elex_ppct_prefix_field').closest("tr").show();
           jQuery('#elex_ppct_discount_percent').closest("tr").show();
           jQuery('#elex_ppct_suffix_field').closest("tr").show();
           jQuery('#elex_ppct_discount_amount').closest("tr").show();
        } 
        else {
           jQuery('#elex_ppct_prefix_field').closest("tr").hide();
           jQuery('#elex_ppct_discount_percent').closest("tr").hide();
           jQuery('#elex_ppct_suffix_field').closest("tr").hide();
           jQuery('#elex_ppct_discount_amount').closest("tr").hide();

        }
       
      $("#elex_ppct_check_field").click(function(event){
         var value=$(this).is(':checked');
           if(value == true ){
                jQuery('#elex_ppct_prefix_field').closest("tr").show();
                jQuery('#elex_ppct_discount_percent').closest("tr").show();
                jQuery('#elex_ppct_suffix_field').closest("tr").show();
                jQuery('#elex_ppct_discount_amount').closest("tr").show();
            }
           else{
                jQuery('#elex_ppct_prefix_field').closest("tr").hide();
                jQuery('#elex_ppct_discount_percent').closest("tr").hide();
                jQuery('#elex_ppct_suffix_field').closest("tr").hide();
                jQuery('#elex_ppct_discount_amount').closest("tr").hide();
            }
        });
    })
 </script>
<?php
 $settings = array(
        'title' => array(
            'title' => __('Product Price Custom Text & Discount:', 'elex-product-price-custom-text-and-discount'),
            'type' => 'title',
            'description' => '',
            'id' => 'elex_ppct_title_field'
        ),
        'checkbox_enable' => array(
            'title' => __('Custom Text & Discount', 'elex-product-price-custom-text-and-discount'),
            'type' => 'checkbox',
            'desc' => __('Enable', 'elex-product-price-custom-text-and-discount'),
            'css' => 'width:100%',
            'id' => 'elex_ppct_check_field',
            
        ),
        'prefix_ppct' => array(
                'title' => __('Add Prefix', 'elex-product-price-custom-text-and-discount'),
                'type' => 'text',
                'desc' => __("Add a prefix text with your product price", 'elex-product-price-custom-text-and-discount'),
                'css' => 'width:250px',
                'id' => 'elex_ppct_prefix_field',
                'desc_tip' => true,
                
        ),
        'suffix_ppct' => array(
                'title' => __('Add Suffix', 'elex-product-price-custom-text-and-discount'),
                'type' => 'text',
                'desc' => __("Add a suffix text with your product price.", 'elex-product-price-custom-text-and-discount'),
                'css' => 'width:250px',
                'id' => 'elex_ppct_suffix_field',
                'desc_tip' => true
        ),
        'discount_amount_ppct' => array(
            'title' => __('Discount (' . get_woocommerce_currency_symbol() . ')', 'elex-product-price-custom-text-and-discount'),
            'type' => 'number',
            'desc' => __("Specify the discount amount you want to apply. This discount will be applied to all products.", 'elex-product-price-custom-text-and-discount'),
            'css' => 'width:250px',
            'id' => 'elex_ppct_discount_amount',
            'desc_tip' => true
        ),
        'discount_ppct' => array(
            'title' => __('Discount (%)', 'elex-product-price-custom-text-and-discount'),
            'type' => 'number',
            'desc' => __("Specify the discount percentage you want to apply. This discount will be applied to all products.", 'elex-product-price-custom-text-and-discount'),
            'css' => 'width:250px',
            'id' => 'elex_ppct_discount_percent',
            'desc_tip' => true
        ), 
        'fp_title_end' => array(
                'type' => 'sectionend',
                'id' => 'ppct_end'
        ),
    );
}
 return apply_filters( 'wc_elex_ppct_discount_settings', $settings );
}
?>
<?php
 add_action( 'woocommerce_update_options_elex_ppct_discount', 'elex_ppct_update_settings' );
   function elex_ppct_update_settings() {
     woocommerce_update_options( elex_ppct_get_setting() );
    }
new Elex_Product_Price_Discount_Setting();
?>
