<?php
// to check whether accessed directly
if (!defined('ABSPATH')) {
	exit;
} 

add_filter( 'woocommerce_product_data_tabs', 'elex_ppct_custom_product_tab', 10, 1 );
  function elex_ppct_custom_product_tab( $default_tabs ) {
    $default_tabs['custom_tab'] = array(
      'label'   =>  __( 'Price Text & Discount ', 'elex-product-price-custom-text-and-discount' ),
      'target'  =>  'elex_ppct_custom_tab_data',
      'priority' => 60,
      'class'   => array()
    );
    return $default_tabs;
  }

add_action( 'woocommerce_product_data_panels', 'elex_ppct_custom_tab_data' );
 function elex_ppct_custom_tab_data() {

    echo '<div id="elex_ppct_custom_tab_data" class="panel woocommerce_options_panel">';
    
    echo"<h2 style='text-align:center;'><b>Product Price Custom Text & Discount</b></h2>";
    $currency=get_woocommerce_currency_symbol();
    $args = array(
      'id' => 'elex_ppct_custom_fields_checkbox',
      'label' => __('Custom Text & Discount','elex-product-price-custom-text-and-discount'),
      'description'=> __("Enable","elex-product-price-custom-text-and-discount"),
    );
    woocommerce_wp_checkbox($args);
?>
<div id="elex_ppct_display_fields">
<?php
    $args = array(
      'id' => 'elex_ppct_custom_fields_prefix',
      'label' => __('Prefix','elex-product-price-custom-text-and-discount'),
      'desc_tip'=>true,
      'description'=> __("Add a prefix text with your product price.","elex-product-price-custom-text-and-discount"),
     
    );
    woocommerce_wp_text_input($args);

    $args = array(
      'id' => 'elex_ppct_custom_fields_suffix',
      'label' => __('Suffix','elex-product-price-custom-text-and-discount'),
      'desc_tip'=>true,
      'description'=> __("Add a suffix text with your product price.","elex-product-price-custom-text-and-discount"),
  
    );
    woocommerce_wp_text_input($args);
   
   $args = array(
	    'id' => 'elex_ppct_custom_fields_discount_amount',
      'label' => __('Discount (' . get_woocommerce_currency_symbol() . ')','elex-product-price-custom-text-and-discount'),
      'type'=>'number',
      'desc_tip'=>true,
      'description'=> __("Specify the discount amount you want to apply. This discount will be applied to this particular product.","elex-product-price-custom-text-and-discount"),
    );
    woocommerce_wp_text_input($args);


   $args = array(
	    'id' => 'elex_ppct_custom_fields_discount_percent',
      'label' => __('Discount (%)','elex-product-price-custom-text-and-discount'),
      'type'=>'number',
      'desc_tip'=>true,
      'description'=> __("Specify the discount percentage you want to apply. This discount will be applied to this particular product.","elex-product-price-custom-text-and-discount"),
    );
    woocommerce_wp_text_input($args);
  ?>
</div>
<hr>
<div style="width:640px;
  height:50px;
  border: 1px solid;
  margin: 20px;">
<h2>For setting up discount on individual product variations go to the specific variation and add the discount. </h2>
</div>
<?php
echo '</div>';?>
  <script type="text/javascript" >
    jQuery(function($){
      if (jQuery('#elex_ppct_custom_fields_checkbox').is(":checked")) {
           
        jQuery('#elex_ppct_display_fields').show();
         
      }
      else {
        jQuery('#elex_ppct_display_fields').hide();
      }
      jQuery("#elex_ppct_custom_fields_checkbox").click(function(){
        var value=jQuery(this).is(':checked');
        if(value == true ){
          jQuery('#elex_ppct_display_fields').show();
        }
        else{
          jQuery('#elex_ppct_display_fields').hide();
        }
      });

    });
  </script>
<?php
}
add_action( 'woocommerce_process_product_meta', 'elex_ppct_save_fields', 10, 1);
function elex_ppct_save_fields( $post_id ){
  $checkbox =isset($_POST['elex_ppct_custom_fields_checkbox']) ?'yes':'no';
  update_post_meta($post_id, 'elex_ppct_custom_fields_checkbox',$checkbox);

  $text_field1 =isset($_POST['elex_ppct_custom_fields_prefix']) ? sanitize_text_field($_POST['elex_ppct_custom_fields_prefix']):' ';
  update_post_meta($post_id, 'elex_ppct_custom_fields_prefix',$text_field1);

  $text_field2 =isset($_POST['elex_ppct_custom_fields_discount_percent']) ? sanitize_text_field($_POST['elex_ppct_custom_fields_discount_percent']):' ';
  update_post_meta($post_id, 'elex_ppct_custom_fields_discount_percent',$text_field2);

  $text_field3 =isset($_POST['elex_ppct_custom_fields_suffix']) ?sanitize_text_field($_POST['elex_ppct_custom_fields_suffix']):' ';
  update_post_meta($post_id, 'elex_ppct_custom_fields_suffix',$text_field3);

  $text_field4 =isset($_POST['elex_ppct_custom_fields_discount_amount']) ?sanitize_text_field($_POST['elex_ppct_custom_fields_discount_amount']):' ';
  update_post_meta($post_id, 'elex_ppct_custom_fields_discount_amount',$text_field4);
  
}

add_action( 'woocommerce_product_after_variable_attributes', 'elex_ppct_add_custom_field_to_variations', 10, 3 );
function elex_ppct_add_custom_field_to_variations( $loop, $variation_data, $variation ) {
 echo"<h2 style='text-align:center; font-size:20px;'>Product Price Custom Text & Discount</h2>";
  woocommerce_wp_text_input( array(
      'id' => 'elex_ppct_variation_discount_amount[' .$variation->ID. ']',
      'type' => 'number',
      'label' => __( 'Discount (' . get_woocommerce_currency_symbol() . ')', 'elex-product-price-custom-text-and-discount' ),
      'custom_attributes' => array(
        'step' => '1',
        'min' =>  '00',
      ),
      'desc_tip' => true,
      'description' => __("Specify the discount amount you want to apply. This discount will be applied to this particular product variation.", "elex-product-price-custom-text-and-discount"),
      'value' => get_post_meta( $variation->ID, 'elex_ppct_variation_discount_amount', true ),
    )
  );
  woocommerce_wp_text_input( array(
      'id' => 'elex_ppct_variation_discount_percent[' .$variation->ID. ']',
      'type' => 'number',
      'label' => __( 'Discount (%)', 'elex-product-price-custom-text-and-discount' ),
      'custom_attributes' => array(
        'step' => '1',
        'min' =>  '00',
      ),
      'desc_tip' => true,
      'description' => __("Specify the discount percentage you want to apply. This discount will be applied to this particular product variation.", "elex-product-price-custom-text-and-discount"),
      'value' => get_post_meta( $variation->ID, 'elex_ppct_variation_discount_percent', true ),
    )
  );
}
 
// -----------------------------------------
// 2. Save custom field on product variation save
 
add_action( 'woocommerce_save_product_variation', 'elex_ppct_save_custom_field_variations', 10, 2 );
function elex_ppct_save_custom_field_variations( $post_id ) {
  $custom_field1 =isset($_POST['elex_ppct_variation_discount_percent'][ $post_id ]) ?sanitize_text_field($_POST['elex_ppct_variation_discount_percent'][ $post_id ]):' ';
  update_post_meta($post_id, 'elex_ppct_variation_discount_percent',$custom_field1);
  $custom_field2 =isset($_POST['elex_ppct_variation_discount_amount'][ $post_id ]) ?sanitize_text_field($_POST['elex_ppct_variation_discount_amount'][ $post_id ]):' ';
  update_post_meta($post_id, 'elex_ppct_variation_discount_amount',$custom_field2);
}



